package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.THospital;
import com.ruoyi.system.domain.resp.THospitalPageResp;

/**
 * 医院信息Mapper接口
 * 
 * @author ruoyi
 * @date 2022-08-03
 */
public interface THospitalMapper 
{
    /**
     * 查询医院信息
     * 
     * @param id 医院信息主键
     * @return 医院信息
     */
    public THospital selectTHospitalById(Long id);

    /**
     * 查询医院信息列表
     * 
     * @param tHospital 医院信息
     * @return 医院信息集合
     */
    public List<THospital> selectTHospitalList(THospital tHospital);

    /**
     * 新增医院信息
     * 
     * @param tHospital 医院信息
     * @return 结果
     */
    public int insertTHospital(THospital tHospital);

    /**
     * 修改医院信息
     * 
     * @param tHospital 医院信息
     * @return 结果
     */
    public int updateTHospital(THospital tHospital);

    /**
     * 删除医院信息
     * 
     * @param id 医院信息主键
     * @return 结果
     */
    public int deleteTHospitalById(Long id);

    /**
     * 批量删除医院信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTHospitalByIds(Long[] ids);

    /**
     * 分页查询
     * @param tHospital
     * @return
     */
    List<THospitalPageResp> queryByPage(THospital tHospital);
}
