package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TRecordHistory;
import org.springframework.stereotype.Repository;

/**
 * 诊断记录信息历史Mapper接口
 * 
 * @author ruoyi
 * @date 2022-09-13
 */
@Repository
public interface TRecordHistoryMapper 
{
    /**
     * 查询诊断记录信息历史
     * 
     * @param id 诊断记录信息历史主键
     * @return 诊断记录信息历史
     */
    public TRecordHistory selectTRecordHistoryById(Long id);

    /**
     * 查询诊断记录信息历史列表
     * 
     * @param tRecordHistory 诊断记录信息历史
     * @return 诊断记录信息历史集合
     */
    public List<TRecordHistory> selectTRecordHistoryList(TRecordHistory tRecordHistory);

    /**
     * 新增诊断记录信息历史
     * 
     * @param tRecordHistory 诊断记录信息历史
     * @return 结果
     */
    public int insertTRecordHistory(TRecordHistory tRecordHistory);

    /**
     * 修改诊断记录信息历史
     * 
     * @param tRecordHistory 诊断记录信息历史
     * @return 结果
     */
    public int updateTRecordHistory(TRecordHistory tRecordHistory);

    /**
     * 删除诊断记录信息历史
     * 
     * @param id 诊断记录信息历史主键
     * @return 结果
     */
    public int deleteTRecordHistoryById(Long id);

    /**
     * 批量删除诊断记录信息历史
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTRecordHistoryByIds(Long[] ids);
}
